Bug 132294 - celestica3 serial port not being detected
celestica3 serial port not being detected
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Baron
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-10 13:52 EDT by Red Hat Bugzilla
Modified: 2013-03-06 00:57 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-29 22:59:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Red Hat Bugzilla 2004-09-10 13:52:15 EDT
celestica3, running this kernel:
[root@celestica3 ~]# uname -a
Linux celestica3.lab.boston.redhat.com 2.6.8-1.528.2.10 #1 SMP Wed Sep
1 04:42:30 EDT 2004 ia64 ia64 ia64 GNU/Linux

Doesn't seem to be detecting its serial port.

I don't know anything about this machine.  It could be the thing
that looked like a serial port in the back really isn't.  But I 
thought I better file this so someone who knows for sure can check.

I was trying to use this machine as a terminal server to another
box to capture some output.  dmesg output shows the 8250 banner
loading but no ttyS0 being detected. 

I checked on a McKinley SDV / Tiger SDV box and its serial ports
_were_ detected.

So this can be rejected if it's discovered the thing that looks like
a serial port really isn't or if nobody cares :)
Comment 1 Red Hat Bugzilla 2004-09-10 15:18:43 EDT
They could require ACPI discovery like the HP serial ports, in which
case... yuk. :)
Comment 2 Red Hat Bugzilla 2004-11-01 15:23:22 EST
hmmm, rhel3 is on the box now and it apparently detects a serial port:

[root@celestica3 root]# dmesg | grep tty
ttyS0 at 0x03f8 (irq = 44) is a 16550A

[root@celestica3 root]# setserial /dev/ttyS0
/dev/ttyS0, UART: 16550A, Port: 0x03f8, IRQ: 44

So indeed this could be a bug. I'll try the latest rhel4 kernel.

Comment 3 Red Hat Bugzilla 2007-07-29 22:59:41 EDT
no activities since 2004-11-01, closing it..,
please re-open if it is reproducible with the recent rhel4 

Note You need to log in before you can comment on or make changes to this bug.